%define upstream_name    Class-Accessor-Lvalue
%define upstream_version 0.11

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8

Summary:	Class-Accessor-Lvalue module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: perl-Want
BuildRequires: perl-Class-Accessor
BuildArch:	noarch

# README says this is a dependency and automatic rpm dependencies
# are not catching this
Requires:	perl-Class-Accessor

%description
This module subclasses Class::Accessor in order to provide lvalue
accessor makers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/Class/Accessor/Lvalue.pm
%{perl_vendorlib}/Class/Accessor/Lvalue
%{_mandir}/*/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.110.0-8pclos2017
- rebuild against updates

